Salary Negotiation
⌘ Read more
Improving your GitHub feed
Today, we are rolling out a new beta version of GitHub’s home feed, making it easier to discover projects, developers and more across GitHub. ⌘ Read more
“Linux for Hank” - the children’s book about Linux
One of many perks for subscribers to The Lunduke Journal ⌘ Read more
[47°09′57″S, 126°43′35″W] Transponder still failing – switching to analog communication
@prologic@twtxt.net yeah. For commercial use even. Just need to put an attribution note in the project README
@prologic@twtxt.net yeah. For commercial use even. Just need to put an attribution note in the project README
Erlang Solutions: 5 Key Tech Priorities for Fintech Leaders in 2022
Issues caused by sub-optimal tech choices are commonplace in the industry, leading to companies failing under unexpected stress or being unable to adapt in time when their business requirements change.
While no two projects are the same, we’ve observed some common themes for using scalable futureproof technologies to build diverse fintech systems. Taking advantage of these learnings sets financial service provi … ⌘ Read more
@xuu@txt.sour.is So that means we’re allowed to use it right? 😅
maxlenght?, I found a workaround by writing from Goryon on mobile, on PC i can simply change the limit with the inspector but isn't it there for a reason?
I set mine to 4096
maxlenght?, I found a workaround by writing from Goryon on mobile, on PC i can simply change the limit with the inspector but isn't it there for a reason?
I set mine to 4096
Start working on GitHub Issues faster
You can now create a branch to work on an issue directly from the issue page so that it’s easier to get started right away. ⌘ Read more
Validate all the things: improve your security with input validation!
If there’s one habit that can make software more secure, it’s probably input validation. Here’s how to apply OWASP Proactive Control C5 (Validate All Inputs) to your code. ⌘ Read more
Maxime Buquet: Am I allowed to say no?
People often take photographs for granted. It does seem obvious in our society
that people like to appear with their friend on Facebook, TikTok, and what have
you.
Early on I started telling people I didn’t want to have my picture taken. It
has never really been clear why, not even to myself to be honest. It might have
been out of shyness – a trait that is still ever so present – or because I
didn’t like the way I look in them, or perhaps some other reason. But I kept
telling th … ⌘ Read more
@prologic@twtxt.net @ullarah@txt.quisquiliae.com I often see messages longer than what the textbox limit is, isn’t it limited by the maxlenght?, I found a workaround by writing from Goryon on mobile, on PC i can simply change the limit with the inspector but isn’t it there for a reason?
I too would like to express a bit more if possible, especially if i have to refer to users and link URLs and images for example, having a limit that isn’t too much of a limit is kind of pointless i think. 🤔
Alright, check this out. I just kinda completed today’s project of converting a jeans into a saw bag. It’s not fully done, the side seams on the flap need some more hand sewing, that’s for sure. No, I don’t have a sewing machine. Yet?
At first I wanted to put in the saw on the short side, but that would have made for more sewing work and increased material consumption. As a Swabian my genes force me to be very thrifty. Slipping in on the long side had the benefit of using the bottom trouser leg without any modification at all. The leg tapers slightly and gets wider and wider the more up you go. At the bottom it’s not as extreme as at the top.
The bag is made of two layers of cloth for extra durability. The double layers help to hide the inner two metal snap fastener counter parts, so the saw blade doesn’t get scratched. Not a big concern, but why not doing it, literally no added efforts were needed. Also I reckon it cuts off the metal on metal clinking sounds.
The only downside I noticed right after I pressed in the receiving ends of the snap fasteners is that the flap overhangs the bag by quite a lot. I fear that’s not really user-friendly. Oh well. Maybe I will fold it shorter and sew it on. Let’s see. The main purpose is to keep the folding saw closed, it only locks in two open positions.
Two buttons would have done the trick, with three I went a bit overkill. In fact the one in the middle is nearly sufficient. Not quite, but very close. But overkill is a bit my motto. The sides making up the bag are sewed together with like five stitch rows. As said in the introduction, the flap on the hand needs some more love.
Oh, and if I had made it in a vertical orientation I would have had the bonus of adding a belt loop and carrying it right along me. In the horizontal layout that’s not possible at all. The jeans cloth is too flimsy, the saw will immediately fall out if I open the middle button. It’s not ridgid enough. Anyways, I call it a success in my books so far. Definitely had some fun.
short story about a cancer researcher who starts murdering patients in the control group because he expects there to be a null result, but he always puts on a mask that prevents him from directly seeing the person he kills—double blind
Torture the data, and it will confess to anything “Torture the data, and it will confess to anything”*… | (Roughly) Daily
I am really not looking forward to this 7h flight on Monday, 2 night buses to the airport
I’ve made some fixes to twtxt to make it work with Python 3.7+. I hope @buckket@buckket.org will apply this patch!
“We are trying to accomplish an extremely difficult thing that requires everything to run as smoothly and efficiently as possible, but luckily our status incentives are so optimal that the high status men getting to sleep with a lot women is just the best!”
that is to say, both might be relevant for personal effectiveness, and both are tangentially related to big problems (how do we bring about good states of consciousness & how does society organise sexuality so that everything works ~well), but not much beyond that.
i think posting about personal meditation practice on the EA forum is bad, because personal meditation practice is as relevant to EA as advice on seducing people.
Text-to-speech is becoming more popular
I am a slow reader. I read a lot on websites, but not quickly and I often get distracted while reading. What I like therefore is a pre-reading option. ⌘ Read more
“What, of course I want to spend my entire life on this very specific spot on the happiness/productivity Pareto frontier, dummy.”
Note: this seems to be for male chorus, and isn’t the arrangement that I hear in the sixteen recording.
Annotate PDFs on Linux
This post is about a GUI tool called pdfrankestein that
fills a gap on mostly Linux machines where a powerful and easy to use
PDF annotator does not exist.
Adobe Acrobat® on Windows and Mac allow you to add text, drawings and
signatures to PDF documents. This is useful when filling forms or
marking notes to send back to someone. Such a tool with similar
capabilities and easy of use does not exist on Linux. The reason that’s
often cited is that PDF is a c … ⌘ Read more
Advanced Techniques
⌘ Read more
At work I may soon be able to program in Java 17 instead of Java 8. But still with Eclipse. 😅 ⌘ Read more
I didn’t get around to blogging about the fact that Miniflux recently got a new version. With it, if an entry doesn’t have a title, it finally shows a snippet of the content instead of just the URL as the title. A great new feature if you follow a lot of micro blogs. Regarding micro-blogs, I’m also in the process of reading Manton Reece’s book draft. ⌘ Read more
Back to twtxt from the cli with twet https://github.com/jdtron/twet
Back to twtxt from the cli with twet https://github.com/jdtron/twet
[47°09′20″S, 126°43′35″W] Bad satellite signal – switching to analog communication
Going to Space with William Shatner & Neil deGrasse Tyson ⌘ Read more
I don’t want to think about my career. I want to solve the goddamn problem!
I’ve always found that “living at my means” has paid dividends. To many folks, ‘round these parts, they’d consider it “living below my means,” but that’s mostly because they “live beyond their means.” Ask HN: How can I prepare for hard economic times? | Hacker News
Sam Whited: Joanna
”`
Sipping my tea, I think back and remember Joanna:
Quietness isn’t the same for me now.
You came to America, wondering what you’d find:
Atlanta in a forest of broken dreams,
A people in turmoil, and no one seems to know why.
Communities falter before they’ve begun.
A lawnmower hums and I wake from my reverie.
I’d forgotten, about your America.
Driving to the North, far away from the city.
You looked for meaning in every farm passing by.
I bought you peanuts and gave you a tour of the mountains.
We d … ⌘ Read more”`
@ullarah@txt.quisquiliae.com Didn’t we talk about at some point a way to set the maximum height of te panels with some UX way to read the rest? 🤔 Is that still on the cards or a bad ideas? 🤔
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
Speed boost achievement unlocked on Docker Desktop 4.6 for Mac
Introducing virtiofs The 4.6 release of Docker Desktop for Mac contains a number of changes that drastically improve file sharing performance for macOS users. Firstly, developers now have the option of using a new experimental file sharing implementation called virtiofs (the current default is gRPC-FUSE). Secondly, improvements have been made to the way that files […]
The post [Speed boost achievement unlocked on … ⌘ Read more
Vulnerability Alert: Avoiding “Dirty Pipe” CVE-2022-0847 on Docker Engine and Docker Desktop
You might have heard about a new Linux vulnerability that was released last week, CVE-2022-0847, aka “Dirty Pipe”. This vulnerability overwrites supposedly read-only files in the Linux kernel host, which could enable attackers to modify files inside the host images from the container instance. If you use Docker Engine natively, we recommend you should update … ⌘ Read more
Save time with partial re-runs in GitHub Actions
It is now possible to re-run only failed jobs or a single job in GitHub Actions workflows. ⌘ Read more
;-) I seem to remember there being g a script that checks for 1.17. Maybe that is only on make preflight
;-) I seem to remember there being g a script that checks for 1.17. Maybe that is only on make preflight
ssh client, because that's me, no-matter where I am. The only exception to this rule is I usually create a separate key for any "work" / " company" I am a part of.
@prologic@twtxt.net I have seen single use keys that are signed by a central PKI .. Keybase has one that uses a chatbot to generate the keys on the fly.
It just comes down to your threat model :)
ssh client, because that's me, no-matter where I am. The only exception to this rule is I usually create a separate key for any "work" / " company" I am a part of.
@prologic@twtxt.net I have seen single use keys that are signed by a central PKI .. Keybase has one that uses a chatbot to generate the keys on the fly.
It just comes down to your threat model :)
Everything related to compensation becomes much less confusing once you accept that hiring is a market. Like any market, supply and demand drives the prices. Nothing else matters much. Ask HN: Is your company considering inflation in this year’s comp review cycle? | Hacker News
[47°09′51″S, 126°43′05″W] Transponder still failing – switching to analog communication
I would HIGHLY recommend reading up on the keybase architecture. They designed device key system for real time chat that is e2e secure. https://book.keybase.io/security
A property of ec keys is deriving new keys that can be determined to be “on curve.” bitcoin has some BIPs that derive single use keys for every transaction connected to a wallet. And be derived as either public or private chains. https://qvault.io/security/bip-32-watch-only-wallets/
I would HIGHLY recommend reading up on the keybase architecture. They designed device key system for real time chat that is e2e secure. https://book.keybase.io/security
A property of ec keys is deriving new keys that can be determined to be “on curve.” bitcoin has some BIPs that derive single use keys for every transaction connected to a wallet. And be derived as either public or private chains. https://qvault.io/security/bip-32-watch-only-wallets/
For instance I normally use the same RSA key/pair on all my workstations for my ssh client, because that’s me, no-matter where I am. The only exception to this rule is I usually create a separate key for any “work” / “ company” I am a part of.
Critical Race Theory course being taught at Peel high school
Consensus Time
⌘ Read more
INTERFERENCE: Freeland’s office “pressured” legacy media to change critical stories
Only 14% of Canadians “strongly approve” of Trudeau’s pandemic response: poll
Why everyone should be concerned about Ontario’s critical race theory bill
Leslyn Lewis says she’s running on principles and respect for others
First Nations chief warns MPs as Emergencies Act inquiry begins
Conservative leadership race turns nasty between Poilievre and Brown
Docker: Nine Years YOUNG
Nine years ago today, March 15, 2013, Solomon Hykes, the founder of Docker, first demoed Docker publicly to the world at PyCon. On stage Solomon noted that, for developers, “shipping to the server is hard,” and thus he and the early team designed Docker to help developers more easily build, share, and run any app, […]
The post Docker: Nine Years YOUNG appeared first on Docker Blog. ⌘ Read more
Trudeau, Freeland met with Ukrainian neo-Nazi party cofounder
Doug Ford tells Ontario school boards to drop masks as ordered
Having some issues uploading to the ZA server for some reason
B.C. premier John Horgan all insults toward Victoria protests
Docker Business now available for purchase on the Amazon Web Services Marketplace
Today, Docker and Amazon are happy to announce the availability of Docker Business on the Amazon Web Services (AWS) Marketplace. This is a huge step in providing more choice and flexibility to Docker and AWS customers, so you can procure the Docker Application Development Platform – including leading tools, services, integrations, and content – through […]
The post [Docker Bus … ⌘ Read more
Nix 2.7.0 released
We’re pleased to announce the availability of Nix 2.7.0. It will be
available from
NixOS - Getting Nix / NixOS.
Here are the release notes:
Nix will now make some helpful suggestions when you mistype something
on the command line. For instance, if you type nix build
nixpkgs#thunderbrd, it will suggest
thunderbird.A number of “default” flake output attributes have been renamed.
These are:defaultPackage.<system></system>→packag ... ⌘ [Read more](https://nixos.org/blog/announcements.html#nix-2.7.0)
Erlang Solutions: FinTech Matters newsletter | March 2022
Subscribe to receive FinTech Matters and other great content, notifications of events and more to your inbox, we will only send you relevant, high-quality content and you can unsubscribe at any time.
Read on to discover what really matters for tech in fina … ⌘ Read more
[47°09′31″S, 126°43′53″W] Bad satellite signal – switching to analog communication
New repository: aquilax/sparkline-d - Library to generate sparkline string
Curtis Yarvin orchestrated gamergate to see if he could
To Ski or Not to Ski ? That is the direction https://omg.singles/WanXZ
[47°09′05″S, 126°43′51″W] Transponder still failing – switching to analog communication
Hello! 👋 I haven’t lost the desire to blog, nor have I decided on Digital Detox, it’s just that I’m currently busy moving. Instead of continuing to program my own stuff after work and pouring my thoughts into blog articles, I had to pack boxes. Today was my last workday in the home office in the old apartment, Monday is the first workday in the home office in my new apartment. Then my blogging frequency will probably remain rather low, because I still have to clear out the old apartment, but I may have a little more … ⌘ Read more
A mind that is stretched by a new idea can never go back to its original dimensions “A mind that is stretched by a new idea can never go back to its original dimensions”*… | (Roughly) Daily
Improved management for GitHub Enterprise owners
We’ve introduced several new features to help enterprise owners more easily manage their accounts, including two features now in public beta. ⌘ Read more
[47°09′15″S, 126°43′41″W] Bad satellite signal – switching to analog communication
It’s not enough to be drunk for escalation, I also need to have made approaches beforehand.
Docker’s Response to the Invasion of Ukraine
Docker is closely following the events surrounding the Russian invasion of Ukraine. The community of Docker employees, Docker Captains, developers, customers, and partners is committed to creating an open, collaborative environment that fosters the free and peaceful exchange of ideas. The tragedy unfolding in Ukraine is in opposition to what our community stands for and […]
The post [Docker’s Response to the Invasion of Ukraine](https://www.docker.co … ⌘ Read more
We need to talk about the latest IPCC report | with Peter Kalmus & Ella Gilbert ⌘ Read more
Video: C Programming on System 6 - Talking to the Modem
Starting work on adding a serial module to join the console and telnet inputs, to allow calls through a modem. I got stuck for a while trying to figure out why writes to the serial port would hang the machine. ⌘ Read more
The XMPP Standards Foundation: The XMPP Newsletter February 2022
Welcome to the XMPP Newsletter, great to have you here again! This issue covers the month of February 2022.
Like this newsletter, many projects and their efforts in the XMPP community are a result of people’s voluntary work. If you are happy with the services and software you may be using, especially throughout the current situation, please consider saying thanks or help these projects! Interested in supporting the Newsletter team? Read more a … ⌘ Read more
Outlet Denier
⌘ Read more
I would never donate money to a fund that would accept me as a grantee.
whether cryptocurrencies are more or less likely to be stable during a multipolar ai takeoff depends on whether our current cryptography is “endgame” or not, i.e. whether it’s in practice basically uncrackable by any advanced actor
Ignite Realtime Blog: Smack 4.4.5 and 4.5.0-alpha1 released
We are happy to announce the release of Smack 4.4.5. Thanks to numerous contributors this patch level release includes many fixes and improvements.
For a high-level overview of what’s changed in Smack 4.4.4, check out Smack’s changelog
The shortlog for the 4.4.5 release is
”`lang-nohighlight
Florian Schmaus (21):
Smack 4.4.5-SNAPSHOT
[core] Remo ... ⌘ [Read more](https://discourse.igniterealtime.org/t/smack-4-4-5-and-4-5-0-alpha1-released/91437)```
Erlang Solutions: Is Elixir the Right Choice for Hypergrowth Startups
We always love to see and share stories that so perfectly capture the benefits of using Elixir. Today, we’ll be taking a look at an example that captures why Elixir is the perfect technology for startups that are anticipating fast growth, including how choosing Elixir allows your development team to focus on improving the product.
. Keeping with […]
The post [What you need to know about macOS X 10.14 Deprecation](https://www.docker.com/blo … ⌘ Read more
to do: go nuclear on a date and explain that im just performing an act, that i studied this in detail and trained myself to do it, that this is a deliberate effort to escape my patheticness
NixOS Community Survey 2022
The NixOS Marketing Team is pleased to announce the first offical
NixOS Community Survey.
Please take 5-10 minutes to complete it.
Since the Nix community has been growing faster and larger every month, it’s gotten harder to
understand who makes up the community and what everyone cares about. So we’re conducting this survey
to improve our understanding of those questions. We hope to use your responses to devel … ⌘ Read more
It’s a busy life just trying to live and eat Go Back Couple (2017) - MyDramaList
seeing typos in LaTeX documents always throws me off, my brain still wants to classify the whole format as respectable
[47°09′19″S, 126°43′59″W] Bad satellite signal – switching to analog communication
For the Sake of Simplicity
⌘ Read more
